Bug 45241 - rtkit demotes pulseaudio threads on suspend/resume cycle
Summary: rtkit demotes pulseaudio threads on suspend/resume cycle
Status: NEW
Alias: None
Product: PulseAudio
Classification: Unclassified
Component: misc (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: pulseaudio-bugs
QA Contact: pulseaudio-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-25 12:22 UTC by Frederik Himpe
Modified: 2015-12-27 12:25 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Himpe 2012-01-25 12:22:32 UTC
Every time when I suspend/resume my system, the pulseaudio threads loose SCHED_RR.

From logs:
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Successfully made thread 16393 of process 16393 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Supervising 1 threads of 1 processes of 1 users.
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Successfully made thread 16395 of process 16393 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Supervising 2 threads of 1 processes of 1 users.
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Successfully made thread 16396 of process 16393 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Supervising 3 threads of 1 processes of 1 users.
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Successfully made thread 16400 of process 16400 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Jan 24 21:39:53 netbook rtkit-daemon[2788]: Supervising 4 threads of 2 processes of 1 users.
Jan 25 19:06:59 netbook rtkit-daemon[2788]: The canary thread is apparently starving. Taking action.
Jan 25 19:06:59 netbook rtkit-daemon[2788]: Demoting known real-time threads.
Jan 25 19:06:59 netbook rtkit-daemon[2788]: Successfully demoted thread 16396 of process 16393 (/usr/bin/pulseaudio).
Jan 25 19:06:59 netbook rtkit-daemon[2788]: Successfully demoted thread 16395 of process 16393 (/usr/bin/pulseaudio).
Jan 25 19:06:59 netbook rtkit-daemon[2788]: Successfully demoted thread 16393 of process 16393 (/usr/bin/pulseaudio).
Jan 25 19:06:59 netbook rtkit-daemon[2788]: Demoted 3 threads.

(Jan 24 21:39 is when logging in after booting the machine, Jan 25
19.06:59 is when resuming the suspended system)

Debian bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=535426
Comment 1 Colin Guthrie 2012-01-27 05:29:22 UTC
Speaking with Lennart about it, this is apparently something to be fixed in rt-kit. No specific product for rtkit here tho', so will just leave it assigned as is.
Comment 2 Daniel Ejsing-Duun 2012-11-04 20:17:52 UTC
New launchpad bug created: https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1074968
Comment 3 Michał Zegan 2015-02-27 11:10:48 UTC
Yes, I see the same issue.
Comment 4 Michał Zegan 2015-07-29 23:31:51 UTC
PING, is this bug ever going to be fixed?
Comment 5 Arun Raghavan 2015-07-30 02:53:31 UTC
We should probably take this on as a blocker for 8.0 (7.0 is pretty late in the cycle, so I don't think I want to delay it now).
Comment 6 Michał Zegan 2015-07-30 12:41:55 UTC
Isn't this bug more a rtkit bug than pulseaudio bug? Like, shouldn't rtkit handle suspend properly? On the other hand, making pa for example be able to regain it's realtime would also fix it, so...
Comment 7 Tanu Kaskinen 2015-12-27 12:25:46 UTC
This doesn't seem to get fixed in time for 8.0. I'm removing the release blocker status.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.